ALTER TABLE ENDERECO
DROP CONSTRAINT FK_ID_CADASTRO;

ALTER TABLE ENDERECO
DROP COLUMN id_cadastro;

ALTER TABLE CADASTRO
ADD ID_ENDERECO INT NOT NULL;

ALTER TABLE CADASTRO
ADD CONSTRAINT FK_ID_ENDERECO_CADASTRO FOREIGN KEY (ID_ENDERECO) REFERENCES ENDERECO(ID_ENDERECO);

ALTER TABLE ENDERECO
MODIFY (COMPLEMENTO NULL);

ALTER TABLE AGENCIAS
MODIFY (CODIGO_AGENCIA CHAR(8));

ALTER TABLE AGENCIAS
MODIFY (ID_CONSOLIDACAO NULL);

ALTER TABLE AGENCIAS
DROP COLUMN ID_CONSOLIDACAO;

ALTER TABLE CONSOLIDACAO
ADD (ID_AGENCIA INT NOT NULL);

ALTER TABLE CONSOLIDACAO
ADD CONSTRAINT FK_ID_AGENCIA FOREIGN KEY (ID_AGENCIA) REFERENCES AGENCIAS(ID_AGENCIA);
